<!DOCTYPE html>
<html>
	<head>
		<title>Web Channel</title>
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0" />
	</head>
	<body>
		<script type="text/javascript">
			var AvaamoChatBot = function (t) {
				function o(t, o) {
					var n = document.createElement("script");
					n.setAttribute("src", t),
						n.setAttribute("id", "avm-web-channel"),
						(n.onload = o),
						document.body.appendChild(n);
				}
				return (
					(this.options = t || {}),
					(this.load = function (t) {
						o(this.options.url, function () {
							window.Avaamo.addFrame(), t && "function" == typeof t && t(window.Avaamo);
						});
					}),
					this
				);
			};
			var chatBox = new AvaamoChatBot({
				url: "https://c0.avaamo.com/web_channels/56e6775e-8753-4a2f-9ce9-68670c801dfd?action=demo&controller=web_channels"
			});
			chatBox.load(function (avaamo) {
				avaamo.onChatIframeLoad = function () {
					var popup = document.querySelector("#avaamo__popup");
					var botClose = document.querySelector(".avaamo_popup__close");
					var btn = document.createElement("button");
					btn.innerHTML = "End Live Chat";
					btn.id = "live-agent-end";
					btn.classList.add("end-live-chat");
					btn.classList.add("hide");
					popup.appendChild(btn);
					btn.addEventListener("click", function () {
						window.Avaamo.sendMessage("End Live Chat", "#end agent");
					});
				};
				avaamo.onBotMessage = function (message) {
					if (message.hasOwnProperty("content")) {
						if (message.content === "I am now redirecting you to a live agent, who will be with you shortly.") {
							var btn = document.querySelector("#live-agent-end");
							btn.classList.remove("hide");
						} else if (message.content === "Live chat has ended. You may continue to use AVA for your questions.") {
							var btn = document.querySelector("#live-agent-end");
							btn.classList.add("hide");
						} else if (message.content === "You have already exited live agent conversation") {
							var btn = document.querySelector("#live-agent-end");
							btn.classList.add("hide");
						}
					}
				};
			});
		</script>
	</body>
</html>
